{% extends 'base.html' %} {% block content %}

<main>
    <div>
        <h1>{{ project.name }}</h1>
        <p>{{ project.description }}</p>
        <h2>Tasks</h2>
        <a href='{% url "create_task" %}'>Create a new task</a>
        {% if not project.tasks.all %}
        <p>This project has no tasks</p>
        {% endif %} {% if project.tasks.all %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in project.tasks.all %}
                <tr>
                    <td>{{ task.name }}</td>
                    <td>{{ task.assignee }}</td>
                    <td>{{ task.start_date }}</td>
                    <td>{{ task.due_date }}</td>
                    <td>{{ task.is_complete|yesno }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</main>

{% endblock content %}
